import React from 'react'
import QRCode from 'qrcode.react'

class ShareQR extends React.Component {
    constructor(props) {
        super(props)
        this.state = {
            url: ""
        }
    }
    componentDidMount(){
        this.setState({
            url: "http://www.baidu.com/"
        })
    }

    render(){
        return(
            <div>
                <QRCode size={150} value={this.state.url} level={"L"}/>
            </div>
        )
    }
}

export default ShareQR